% Filename: Ex1_3.m
% Created: 5 May 2011

%% Example 1.3 MATLAB

clc
clear all

% Declare any needed symbolic variables
syms sig tau_xy sig_x sig_y theta AB BC AC

% Define known stress values
sig_x = sym(160);
sig_y = sym(-120);
sig_val = sym(200);

% Define relationships between AB, BC, and AC
BC = AB*cos(theta);
AC = AB*sin(theta);

% For horizonatal equalibrium of the element
eqI = sig*AB*cos(theta)-sig_x*BC-tau_xy*AC;

% For vertical equalibrium of the element
eqII = sig*AB*sin(theta)-sig_y*AC-tau_xy*BC;

% Solve eqI and eqII for tau_xy
tau_xyI = solve(eqI,tau_xy);
tau_xyII = solve(eqII,tau_xy);

% Take the square-root of tau_xyI times tau_xyII to get tau_xy
tau_xy_val = sqrt(tau_xyI*tau_xyII);

% Substitite the given value of sig into tau_xy
tau_xy_val = subs(tau_xy_val,sig,sig_val);

% Solve eqI for theta and substitute into eqII
eqI = simplify(eqI/cos(theta));
theta_I = solve(eqI,theta);
eqIII = subs(eqII,theta,theta_I);

% Substitute the value of tau_xy into eqIII and solve for the principle stresses (sig_p)
sig_p = solve(subs(eqIII,tau_xy,tau_xy_val),sig);
sig_I = max(double(sig_p));
sig_II = min(double(sig_p));

% Calculate the maximum shear stress using Eq. (1.15)
tau_max = (sig_I-sig_II)/2;

% Output tau_xy, the principle stresses, and tau_max to the Command Window
disp(['tau_xy = +/- ' num2str(double(tau_xy_val)) ' N/mm^2'])
disp(['sig_I = ' num2str(sig_I) ' N/mm^2'])
disp(['sig_II = ' num2str(sig_II) ' N/mm^2'])
disp(['tau_max = ' num2str(tau_max) ' N/mm^2'])


