% Filename: Ex1_7.m
% Created: 13 May 2011

%% Example 1.7 MATLAB

clc
clear all

% Declare any needed symbolic variables
syms e_a e_b e_c E v sig_y sig_x A J r T tau_xy

% Set the significant digits
digits(4);

% Define known variable values
e_a = sym(1000*10^(-6));
e_b = sym(-200*10^(-6));
e_c = sym(-300*10^(-6));
E = sym(70000);
v = sym(0.3);
sig_y = sym(0);
A = sym(pi*50^2/4,'d');
J = sym(pi*50^4/32,'d');
r = sym(25);

% Evaluate Eqs (1.69) and (1.70)
e_I = vpa((e_a + e_c)/2) + vpa(sqrt(((e_a-e_b)^2 + (e_c - e_c)^2)))/vpa(sqrt(2));
e_II = vpa((e_a + e_c)/2) - vpa(sqrt(((e_a-e_b)^2 + (e_c - e_c)^2)))/vpa(sqrt(2));

% Substitute e_I and e_II into Eqs (1.67) and (1.68)
sig_I = vpa(E*(e_I+v*e_II)/(1-v^2));
sig_II = vpa(E*(e_II+v*e_I)/(1-v^2));

% Evaluate Eqs (1.11) and (1.12)
eqI = vpa(-sig_I + (sig_x+sig_y)/2 + sqrt((sig_x-sig_y)^2 + 4*tau_xy^2)/2);
eqII = vpa(-sig_II + (sig_x+sig_y)/2 - sqrt((sig_x-sig_y)^2 + 4*tau_xy^2)/2);

% Add eqI and eqII and solve for the value of sig_x
sig_x_val = vpa(solve(eqI+eqII,sig_x)); 

% Calculate the axial load (P in kN)
P = vpa(sig_x_val*A/1000);
P = round(double(P)*10)/10;

% Substitute sig_x back into eqI and solve for tau_xy
tau_xy_val = sym(max(double(solve(subs(eqI,sig_x,sig_x_val),tau_xy))));

% Calculate the applied torsion (T in kN-m) using Eq. (iv) in Example 3.1
T = vpa(tau_xy_val*J/r/1000/1000);
T = round(double(T)*10)/10;

% Output values for P and T to the Command Window
disp(['P = ' num2str(P) ' kN'])
disp(['T = ' num2str(T) ' kN m'])