% Filename: Ex20_3.m
% Created: 28 June 2011

%% Example 20.3 MATLAB

clc
clear all

% Declare any needed variables
S_y = 4.8e3;
B = 300*ones(1,4);
    
% Define the lengths of all open section walls
L = [200 400 200];

% Calculate the section properties
y_r = [L(2)/2 L(2)/2 -L(2)/2 -L(2)/2];
I_xx = sum(B.*y_r.^2); % I_yy and I_xy not needed due to symmetry and S_x=0

% Due to symmetry and since S_x,t_D=0, Eq. (20.6)  simplifies
% Calculate the shear flow in wall 1-2 using the reduced Eq. (20.6) 
A = B.*y_r;
q_12 = -S_y/I_xx*sum(A(1));

% Calculate the subsequent shear flow in walls 2-3 and 3-4
q_23 = -S_y/I_xx*sum(A(1:2));
q_34 = -S_y/I_xx*sum(A(1:3));

% Output the calculated shear flows to the Command Window
disp(['q_12 = ' num2str(q_12) ' N/mm'])
disp(['q_23 = ' num2str(q_23) ' N/mm'])
disp(['q_34 = ' num2str(q_34) ' N/mm'])