% Filename: Ex25_3.m
% Created: 4 July 2011

%% Example 25.3 MATLAB

clc
clear all

% Declare any needed variables
sig_x = 60;
sig_y = 40;
tau_xy = 0;
theta = 45*pi/180;
E_l = 150e3;
E_t = 90e3;
G_lt = 5e3;
v_lt = 0.3;

% Calculate variables needed to obtain the desired strains
m = cos(theta);
n = sin(theta);
s_11 = round(1/E_l*10^7)/(10^7);
s_12 = round(-v_lt/E_l*10^7)/(10^7);
s_22 = round(1/E_t*10^7)/(10^7);
s_33 = round(1/G_lt*10^7)/(10^7);

a_11 = m^4*s_11+n^4*s_22+2*m^2*n^2*s_12+m^2*n^2*s_33;
a_12 = m^2*n^2*(s_11+s_22-s_33)+(m^4+n^4)*s_12;
a_13 = 2*m^3*n*s_11-2*m*n^3*s_22+2*(m*n^3-m^3*n)*s_12+(m*n^3-m^3*n)*s_33;
a_21 = a_12;
a_22 = n^4*s_11+m^4*s_22+2*m^2*n^2*s_12+m^2*n^2*s_33;
a_23 = 2*m*n^3*s_11-2*m^3*n*s_22+2*(m^3*n-m*n^3)*s_12+(m^3*n-m*n^3)*s_33;
a_31 = a_13;
a_32 = a_23;
a_33 = 4*m^2*n^2*(s_11+s_22)-8*m^2*n^2*s_12+(m^2-n^2)*s_33;

% Substitute these variables into Eq. (25.33)
A = [a_11 a_12 a_13;
     a_21 a_22 a_23;
     a_31 a_32 a_33];
b = [sig_x sig_y tau_xy]';
strains = A*b;

% Output the direct and shear strains to the Command Window
disp(['e_x = ' num2str(strains(1))])
disp(['e_y = ' num2str(strains(2))])
disp(['gamma_xy = ' num2str(strains(3))])