% Filename: Ex3_2.m
% Created: 3 June 2011

%% Example 3.2 MATLAB

clc
clear all

% Declare any needed variables
a = 200;
b = 300;
G = 25000;
T = 15*10^6;
 
% Define (x,y) values for 1001 points along the cross-section boundary
steps = 1000;
x = zeros(steps+1,1);
y = zeros(steps+1,1);
w = zeros(steps+1,1);
for i=1:1:steps/2
    x(i) = a - (4*a/steps)*(i-1);
    y(i) = b*sqrt(1-(x(i)/a)^2);
end
for i=1:1:steps/2+1
    x(steps/2+i) = -a + (4*a/steps)*(i-1);
    y(steps/2+i) = -b*sqrt(1-(x(i)/a)^2);
end

% Calculate the warping displacement (w) at each point (x,y)
for i=1:1:steps+1
    w(i) = T*(b^2-a^2)*x(i)*y(i)/(pi*a^3*b^3*G);
end

% Plot the values of w
figure(1)
    plot3(x,y,w,'k')
    grid on
    axis square
    xlabel('x')
    ylabel('y')
    zlabel('w')
    view(-125,18)