% Filename: Ex4_4.m
% Created: 3 June 2011

%% Example 4.4 MATLAB

clc
clear all

% Declare any needed variables
syms M_A M_V W_e W_i E I w x L v_B
 
% Define the moments due to the applied load (M_A) and the unit virtual load (M_V)
M_A = -0.5*w*(L-x)^2;
M_V = -1*(L-x);
 
% Define equations for the external (W_e) and internal (W_i) virtual work
W_e = 1*v_B;
W_i = int(M_A*M_V/(E*I),x,0,L); % From Eq. (4.21)
 
% Equate W_e and W_i, and solve for the free end vertical displacement (v_B)
v_B = solve(W_e-W_i,v_B);
 
% Output v_B to the Command Window
disp(['v_B = ' char(v_B)])
