% Filename: Ex4_5.m
% Created: 3 June 2011

%% Example 4.5 MATLAB

clc
clear all

% Declare any needed variables
syms M_A M_V W x L theta_A E I
 
% Define the moments due to the applied load (M_A) and the unit virtual load (M_V)
M_A = [W/2*x; % 0 >= x >= L/2
       W/2*(L-x)]; % L/2 >= x >= L
M_V = 1 - x/L; % 0 >= x >= L
 
% Define equations for the external (W_e) and internal (W_i) virtual work
W_e = 1*theta_A;
W_i = (int(M_A(1)*M_V,x,0,L/2) + int(M_A(2)*M_V,x,L/2,L))/(E*I); % From Eq. (4.21)
 
% Equate W_e and W_i, and solve for the slope of the beam (theta_A)
theta_A = solve(W_e-W_i,theta_A);
 
% Output theta_A to the Command Window
disp(['theta_A = ' char(theta_A)])
