% Filename: Ex5_3.m
% Created: 7 June 2011

%% Example 5.3 MATLAB

clc
clear all

% Declare any needed variables
syms F L A E R
E = 200000;

% Define L, A, and F using columns 2-4 of Table 5.3
L = [800*sqrt(3);       % L_AC
      800;              % L_CB
      800*sqrt(3);      % L_BD
      800;              % L_CD
      800];             % L_AD
A = sym([30;    % A_AC
         20;    % A_CB
         30;    % A_BD
         20;    % A_CD
         20]);  % A_AD
F = [50-sqrt(3)*R/2;   % F_AC
     86.6+R/2;         % F_CB
     -sqrt(3)*R/2;     % F_BD
     R;                % F_CD
     R/2];             % F_AD
 
% Use Eq. (5.16) to solve for R
eqI = F.*L.*diff(F,R)./(A.*E);   %Eq. (5.16)
R_val = solve(sum(eqI),R);

% Substitute R_val into F to calculate the member forces
Force = subs(F,R,R_val);
 
% Output R and the member forces, rounded to the first decimal place, to the Command Window
R = round(double(R_val)*10)/10;
Force = round(double(Force)*10)/10;

disp(['R = ' num2str(R) ' N'])
disp(['Force = [' num2str(Force(1)) ', ' num2str(Force(2)) ', ' num2str(Force(3)) ', ' num2str(Force(4)) ', ' num2str(Force(5)) '] N'])
