% Filename: Ex5_4.m
% Created: 7 June 2011

%% Example 5.4 MATLAB

clc
clear all

% Declare any needed variables
syms delta_R alpha F L A E R T
A = 200;
alpha = 7*10^(-6);
E = 200000;
T = 30;

% Define L and F using columns 2-3 of Table 5.4
L = [4000;     % L_AB
     3000;     % L_BC
     4000;     % L_CD
     3000;     % L_DA
     5000;     % L_AC
     5000];    % L_DB
F = [4*R/3;    % F_AB
     R;        % F_BC
     4*R/3;    % F_CD
     R;        % F_DA
     -5*R/3;   % F_AC
     -5*R/3];  % F_DB
 
% Use Eq. (5.17) to solve for R assuming BC is the heated member
delta_R = L(2)*T*alpha;
eqI = F.*L.*diff(F,R)./(A*E);   %Eq. (5.17)
R_val = solve(sum(eqI)+delta_R,R);

% Substitute R_val into F to calculate the member forces
Force = subs(F,R,R_val);
 
% Output R and the member forces to the Command Window
R = round(double(R_val));
Force = round(double(Force));

disp(['R = ' num2str(R) ' N'])
disp(['Force = [' num2str(Force(1)) ', ' num2str(Force(2)) ', ' num2str(Force(3)) ', ' num2str(Force(4)) ', ' num2str(Force(5)) ', ' num2str(Force(6)) '] N'])
