% Filename: Ex6_4.m
% Created: 12 June 2011

%% Example 6.4 MATLAB

clc
clear all

% Declare any needed variables
E = 200000;                      % Youngs Modulus
v_p = 0.3;                       % Poisson's ratio
x = [-2 2 2 -2]';                % x-location of corners
y = [-1 -1 1 1]';                % y-location of corners
u = [0.001 0.003 -0.003 0];      % x-displacement of corners
v = [-0.004 -0.002 0.001 0.001]; % y-displacement of corners

% Calculate alpha values using Eqs (6.99) and (6.100)
A = zeros(8,8);
delta = zeros(8,1);
for i=1:1:4
    A((i-1)*2+1,:) = [1 x(i) y(i) x(i)*y(i) 0 0 0 0];
    A((i-1)*2+2,:) = [0 0 0 0 1 x(i) y(i) x(i)*y(i)];
    delta((i-1)*2+1) = u(i);
    delta((i-1)*2+2) = v(i);    
end
alpha = A\delta;

% Calculate the strains at the center (x=0,y=0) of the element using Eq. (6.101)
x = 0;
y = 0;
B = [0 1 0 y 0 0 0 0;
     0 0 0 0 0 0 1 x;
     0 0 1 x 0 1 0 y];
strain = B*alpha;

% Calculate the stresses using Eq. (6.92)
C = [1 v_p 0;
     v_p 1 0;
     0 0 (1-v_p)/2];
sig = E/(1-v_p^2)*(C*strain);

% Output stresses rounded to the first decimal to the Command Window
disp(['sig_x = ' num2str(round(sig(1)*10)/10) ' N/mm^2'])
disp(['sig_y = ' num2str(round(sig(2)*10)/10) ' N/mm^2'])
disp(['tau_xy = ' num2str(round(sig(3)*10)/10) ' N/mm^2'])