% Filename: Ex7_2.m
% Created: 14 June 2011

%% Example 7.2 MATLAB

clc
clear all

% Declare any needed variables
syms w A x y b a q M_x M_y v D

% Define the given deflection function
w = A*(x^2*y^2 - b*x^2*y - a*x*y^2 + a*b*x*y);
 
% Check Eq. (7.20)
check = diff(w,x,4) + 2*diff(diff(w,x,2),y,2) + diff(w,y,4) - q/D;
if diff(check,x) == sym(0) && diff(check,y) == sym(0) && check ~= -q/D
    disp('The deflection function is valid')
    disp(' ')
    
    % Solve check for the constant A and substitute back into w
    A_val = solve(check,A);
    w = subs(w,A,A_val);
    
    % Calculate the bending moment distributions using Eqs (7.7) and (7.8)
    eqI = -D*(diff(w,x,2) + v*diff(w,y,2));     % M_x
    eqII = -D*(diff(w,y,2) + v*diff(w,x,2));    % M_y
 
    % Output expressions of M_x, M_y for the edge x=0 to the Command Window
    disp('For the edge x = 0:')
    disp(['M_x = ' char(simplify(subs(eqI,x,0)))])
    disp(['M_y = ' char(simplify(subs(eqII,x,0)))])
    disp(' ')
    
    % Output expressions of M_x, M_y for the edge x=a to the Command Window
    disp('For the edge x = a:')
    disp(['M_x = ' char(simplify(subs(eqI,x,a)))])
    disp(['M_y = ' char(simplify(subs(eqII,x,a)))])
    disp(' ')
    
    % Output expressions of M_x, M_y for the edge y=0 to the Command Window
    disp('For the edge y = 0:')
    disp(['M_x = ' char(simplify(subs(eqI,y,0)))])
    disp(['M_y = ' char(simplify(subs(eqII,y,0)))])
    disp(' ')
    
    % Output expressions of M_x, M_y for the edge y=b to the Command Window
    disp('For the edge y = b:')
    disp(['M_x = ' char(simplify(subs(eqI,y,b)))])
    disp(['M_y = ' char(simplify(subs(eqII,y,b)))])
    disp(' ')
else
    disp('The deflection function does not satisfy Equation (7.20)')
    disp(' ')
end