% Filename: Ex7_4.m
% Created: 14 June 2011

%% Example 7.4 MATLAB

clc
clear all

% Declare any needed variables
syms w A_11 x y b a q_0 UV v D

% Define the given deflection function
w = A_11*sin(pi*x/a)*sin(pi*y/b);

% Evaluate Eq. (7.46) to calculate U+V (UV)
w_xx = diff(w,x,2);
w_yy = diff(w,y,2);
w_xy = diff(diff(w,x),y);

UV = int(int((D/2*((w_xx+w_yy)^2 - 2*(1-v)*(w_xx*w_yy-w_xy^2)) - w*q_0),y,0,b),x,0,a);

% Differentiate UV with respect to A_11, set equal to 0, and solve for A_11
A_11val = solve(diff(UV,A_11),A_11);

% Substitute A_11 back into w
w = subs(w,A_11,A_11val);

% Due to the boundary conditions and the form of w, there will only be one maximum value.
% Therefore, w_max will occur where the gradient of w is 0.
x_max = solve(diff(w,x),x);
y_max = solve(diff(w,y),y);

% Substitute x_max and y_max into w
w_max = subs(subs(w,x,x_max),y,y_max);

% Output expressions for A_11 and w_max to the Command Window
disp(['A_11 = ' char(A_11val)])
disp(['w_max = ' char(w_max)])

 
