% Filename: Ex8_1.m
% Created: 15 June 2011

%% Example 8.1 MATLAB

clc
clear all

% Declare any needed variables
syms M P v k v_c z EI lambda L A B C PI
P_buck = EI/(L^2)*4*PI^2;
lambda_sq = P_buck/EI;

% Define the bending moment equation at any section in the column
M = P*v - k*v_c*z/2;

% Substituting M into Eq. (8.1) and solving the second order differential
% equation results in the following general solution for v
C = solve(EI*diff(C,2)+subs(M,v,C),C); % Equation 8.1
v = A*cos(lambda*z) + B*sin(lambda*z) + C;  % General solution of Eq. (8.1)

% Check boundary conditions to solve for A and B and P
    % Boundary Condition #1: v = 0 when z = 0
    A_val = solve(subs(v,z,0),A);
    v = subs(v,A,A_val);
    
    % Boundary Condition #2: v = v_c when z = L/2
    B_val = solve(subs(v,z,L/2)-v_c,B);
    v = subs(v,B,B_val);
    
    % Boundary Condition #3: v_z = 0 when z = L/2
    P = solve(subs(diff(v,z),z,L/2),P);

% Output a simplified expression of P to the Command Window
disp(['P = ' char(simplify(P))])