% Filename: Ex8_4.m
% Created: 15 June 2011

%% Example 8.4 MATLAB

clc
clear all

% Declare any needed variables
syms P
L = 100;
t = 2;
E = 70000;
G = 30000;
y_s = 0;
x_s = -76.2;
A = 600;
I_xx = 1.17e6;
I_yy = 0.67e6;
I_0 = 5.32e6;
J = 800;
T = 2488e6;

% Evaluate Eq. (8.77)
P_CRyy = pi^2*E*I_yy/L^2;
P_CRxx = pi^2*E*I_xx/L^2;
P_CRtheta = A*(G*J + pi^2*E*T/L^2)/I_0;

% Substitute results of Eq. (8.77) into Eq. (8.79)
eq_I = det([P-P_CRxx -P*x_s; -P*x_s I_0*(P-P_CRtheta)/A]);

% Solve eq_I for the critical buckling load (P)
P = solve(eq_I,P);

% Output the minimum value of P to the Command Window
disp(['P = ' num2str(min(double(P))) ' N'])

 
