% Filename: Ex9_1.m
% Created: 17 June 2011

%% Example 9.1 MATLAB

clc
clear all

% Declare any needed variables
t = 2;
d = 400;
b = 300;
A_F = 350;
A_S = 300;
L = 1200;
E = 70000;
S = 750;
I = 2000;
W = 5;

% Solve Eq. (9.29) for the angle of diagonal tension (alpha)
alpha = atan(((1+t*d/(2*A_F))/(1+t*b/A_S))^(1/4));

% The maximum flange stress and bending moment will occur in the top of the
% flange at the built-in end where the stresses due to bending and diagonal
% tension are additive.

% Evaluate Eq. (9.19) in the top of the flange at the built-in end 
z = L;
F_T = W*z/d + 5/(2*tan(alpha)); % Eq. (9.19)

% Calculate the direct stress in the top flange produced by the externally
% applied bending moment
sig_d = F_T/A_F;

% Calculate the local bending moment in the top flange using Eq. (9.25)
M_max = W*b^2*tan(alpha)/(12*d);

% Calculate the corresponding maximum compressive stress due to M_max
sig_M = M_max/S;

% Calculate the combined maximum stress in a flange
sig_max = sig_d + sig_M;

% Calculate the compressive load in a stiffener using Eq. (9.23)
P = W*b*tan(alpha)/d;

% Substitute P into Eq. (9.24) to calculate the equivalent length of a
% stiffener as a column
if b < 1.5*d
    l_e = d/sqrt(4 - 2*b/d);
else
    l_e = d;
end

% Calculate the buckling load of a stiffener using Eq. (8.7)
P_CR = pi^2*E*I/(l_e^2);

% Check if the stiffener will buckle
if P_CR > P
    disp('The stiffener will not buckle')
else
    disp('The stiffener will buckle')
end

% Output the combined max stress to the Command Window
disp(['sig_max = ' char(vpa(sig_max*1000,4)) ' N/mm^2'])
disp(['P_CR = ' num2str(round(P_CR/1000)) ' kN'])